Bug 1220159 - RFE: Policykit agent should start automatically
Summary: RFE: Policykit agent should start automatically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-common
Version: 23
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1284318 (view as bug list)
Depends On:
Blocks: LXQt
TreeView+ depends on / blocked
 
Reported: 2015-05-10 14:38 UTC by Raphael Groner
Modified: 2017-08-07 11:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-02 23:01:31 UTC


Attachments (Terms of Use)
There's no path given in /etc/xdg/autostart/lxqt-policykit-agent.desktop, so the agent can not be found, it's installed to /usr/libexec and this path should be put inside the desktop file. (156 bytes, text/plain)
2015-05-10 14:38 UTC, Raphael Groner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1159874 None None None Never
Red Hat Bugzilla 1284318 None None None Never

Internal Links: 1159874 1284318

Description Raphael Groner 2015-05-10 14:38:02 UTC
Created attachment 1023995 [details]
There's no path given in /etc/xdg/autostart/lxqt-policykit-agent.desktop, so the agent can not be found, it's installed to /usr/libexec and this path should be put inside the desktop file.

Description of problem:
Policykit agent does not start automatically, so it can not give a graphical login dialog.

Version-Release number of selected component (if applicable):
lxqt-common-0.9.1-3.fc21.noarch

How reproducible:
yes

Steps to Reproduce:
1. login to LXQt session
2. start a graphical application that needs root access, e.g. yumex-dnf
3.

Actual results:
Application fails to get root access.

Expected results:
Application can get root access via a password dialog.

Additional info:
$ pkexec --disable-internal-agent ls /
→ Error executing command as another user: No authentication agent found.
$ pkexec ls /
→ gives a login prompt inside the terminal
Workaround: Works if /usr/libexec/lxqt-policykit-agent is started manually.

Comment 1 Jan Kurik 2015-07-15 14:10:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Raphael Groner 2015-07-27 14:28:32 UTC
Helio, what do you think about the proposed fix like to modify the search path?

Comment 3 Fedora Update System 2015-11-03 00:54:15 UTC
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 4 Fedora Update System 2015-11-03 00:54:16 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 5 Fedora Update System 2015-11-03 18:57:57 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 6 Fedora Update System 2015-11-03 19:53:56 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 7 Raphael Groner 2015-11-07 01:58:47 UTC
This bug is not fixed with LXQt 0.10 packages. Please keep this bug open.

Comment 8 Gerald Cox 2015-11-24 18:04:36 UTC
*** Bug 1284318 has been marked as a duplicate of this bug. ***

Comment 9 Gerald Cox 2015-11-24 18:12:29 UTC
Changing from rawhide to F23.  Also changing priority since this is affecting other applications:  see rhbz#1284318

This also shouldn't be an "enhancement" since the fallout is breaking things.  It's a bug.

Comment 10 Raphael Groner 2015-11-24 20:36:07 UTC
Comment on attachment 1023995 [details]
There's no path given in /etc/xdg/autostart/lxqt-policykit-agent.desktop, so the agent can not be found, it's installed to /usr/libexec and this path should be put inside the desktop file.

Please see the attachment for an easy fix to use the absolute path cause lxqt-policykit-agent is not found with the default execution path.

Comment 11 Fedora Update System 2015-12-08 19:54:40 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-08 21:23:57 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Gerald Cox 2015-12-09 02:30:16 UTC
I have lxqt-common-0.10.0-1.fc23 and that is the version that had the issue.  I saw where there is lxqt-common-0.10.0-2.fc23 but it didn't complete successfully on koji:  http://koji.fedoraproject.org/koji/packageinfo?packageID=19423

Comment 14 Gerald Cox 2015-12-09 02:31:26 UTC
Changing status back to open since not yet fixed.

Comment 15 Raphael Groner 2015-12-17 15:09:59 UTC
ping? Helio, thought you've fixed that in git?

Comment 16 Raphael Groner 2015-12-20 18:29:52 UTC
Now, I'm confused. Is this fixed or not?

 * Thu Nov 26 2015 Helio Chissini de Castro <helio@kde.org> - 0.10.1-2
 - Missing proper path on policykit .desktop file. This causes the daemon not starts

Please provide proper updates in bodhi.

Comment 17 Fedora Update System 2016-01-15 21:14:29 UTC
lxqt-common-0.10.0-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa79af616f

Comment 18 Fedora Update System 2016-01-15 22:11:58 UTC
lxqt-common-0.10.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e09c8358

Comment 19 Fedora Update System 2016-01-17 14:22:36 UTC
lxqt-common-0.10.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e09c8358

Comment 20 Raphael Groner 2016-02-02 23:01:31 UTC
Pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.